## intel-vc-intrinsics 0.1.0

=== CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

cmake_minimum_required(VERSION 3.13.4)

set(LLVM_GENX_INTRINSICS_VERSION 1.0)

set(LLVM_GENX_INTRINSICS_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# check if we build inside llvm or not
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  get_filename_component(LLVM_CMAKE_PATH ${LLVM_DIR} ABSOLUTE BASE_DIR ${CMAKE_BINARY_DIR})
  set(BUILD_EXTERNAL YES)
  if(NOT DEFINED INSTALL_REQUIRED)
    set(INSTALL_REQUIRED YES)
  endif()
  project(LLVM_GenXIntrinsics
    VERSION
      ${LLVM_GENX_INTRINSICS_VERSION}
    LANGUAGES
      C CXX
  )

  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED OFF)

  find_package(LLVM REQUIRED HINTS "${LLVM_CMAKE_PATH}")
  set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${LLVM_CMAKE_DIR}
  )
  include(AddLLVM)
  include(HandleLLVMOptions)

  include_directories("${LLVM_INCLUDE_DIR}")
  link_directories("${LLVM_LIBRARY_DIR}")

  message(STATUS "Found LLVM: ${LLVM_VERSION}")
else(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  set(BUILD_EXTERNAL NO)

  # LLVM_CMAKE_DIR is not set for non-standalone builds. Use LLVM_CMAKE_PATH
  # instead. (see clang/CMakeLists.txt)
  if(NOT LLVM_CMAKE_DIR)
    set(LLVM_CMAKE_DIR ${LLVM_CMAKE_PATH})
  endif()
endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)

if(LLVM_VERSION_MAJOR VERSION_LESS 8)
  message(FATAL_ERROR "VC-intrinsics do not support ${LLVM_VERSION} LLVM version")
endif()

include(FindPythonInterp)
if(NOT PYTHONINTERP_FOUND)
  message(FATAL_ERROR
"Unable to find Python interpreter, required for builds and testing.

Please install Python or specify the PYTHON_EXECUTABLE CMake variable.")
endif()

if("${PYTHON_VERSION_STRING}" VERSION_LESS 2.7)
  message(FATAL_ERROR "Python 2.7 or newer is required")
endif()


add_subdirectory(GenXIntrinsics)

=== GenXIntrinsics/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

cmake_minimum_required(VERSION 3.13.4)
include(GNUInstallDirs)

set(GENX_INTRINSICS_MAIN_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)

set(GENX_INTRINSICS_MAIN_DIR ${CMAKE_CURRENT_SOURCE_DIR})

if(IGC_INFRA)
  set(GENX_INTRINSICS_MAIN_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include PARENT_SCOPE)
endif()

include(cmake/utils.cmake)

# Global config.
add_compile_definitions(VC_INTR_LLVM_VERSION_MAJOR=${LLVM_VERSION_MAJOR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)

set(GENX_INTRINSICS_DESCRIPTION "GenXIntrinsicDescription.gen")

add_subdirectory(include/llvm)
add_subdirectory(lib)

# LLVM doesn't install gtest which is required for our tests
# so we cannot simply enable current unittests with prebuilt LLVM
if(NOT BUILD_EXTERNAL)
  add_subdirectory(unittests)
endif()

# Experimental lit tests for intrinsic passes. Require plugin support,
# so only available with LLVM dylib (for stability).
if(VC_INTR_ENABLE_LIT_TESTS)
  if(LLVM_LINK_LLVM_DYLIB)
    message(STATUS "VC intrinsics lit tests are enabled")
    add_subdirectory(test)
  else()
    message(STATUS "VC intrinsics lit tests require dynamic LLVM, skipping")
  endif()
endif()

# this option is to switch on install when we are building not inside IGC
if(INSTALL_REQUIRED)
  install(DIRECTORY include/llvm
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    COMPONENT genx-intrinsics-headers
    FILES_MATCHING
    PATTERN "*.h"
  )

  # cmake creates too many subdirectories in build directory
  # and then "install(DIRECTORY" installs them even if they are empty
  # so generated file has to be installed separetely
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/include/llvm/GenXIntrinsics/${GENX_INTRINSICS_DESCRIPTION}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/llvm/GenXIntrinsics
    COMPONENT genx-intrinsics-headers
  )

  # for now not clear do we need to check deps on install,
  # so config will only contain single file
  # we need to limit it to external build
  if(BUILD_EXTERNAL)
    install(TARGETS LLVMGenXIntrinsics EXPORT LLVMGenXIntrinsicsTargets
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
      INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    )

    # Legacy export. To remove when all clients switch to new name.
    install(EXPORT LLVMGenXIntrinsicsTargets
      FILE LLVMGenXIntrinsicsConfig.cmake
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/LLVMGenXIntrinsics
    )

    set(PACKAGE_NAME VCIntrinsics${LLVM_VERSION_MAJOR})
    install(EXPORT LLVMGenXIntrinsicsTargets
      FILE ${PACKAGE_NAME}Config.cmake
      DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PACKAGE_NAME}
    )
  endif() # BUILD_EXTERNAL
endif() # INSTALL_REQUIRED

=== GenXIntrinsics/lib/GenXIntrinsics/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

set(LLVM_COMPONENTS
  CodeGen
  Support
  Core
  Analysis
  )

if(BUILD_EXTERNAL)
  add_library(LLVMGenXIntrinsics 
              GenXIntrinsics.cpp
              GenXRestoreIntrAttr.cpp
              GenXSimdCFLowering.cpp
              GenXSingleElementVectorUtil.cpp
              GenXSPIRVReaderAdaptor.cpp
              GenXSPIRVWriterAdaptor.cpp
              GenXVersion.cpp
              AdaptorsCommon.cpp
              GenXMetadata.cpp
             )
  llvm_update_compile_flags(LLVMGenXIntrinsics)
  add_dependencies(LLVMGenXIntrinsics GenXIntrinsicsGen)

  vc_get_llvm_targets(LLVM_LIBS ${LLVM_COMPONENTS})
  target_link_libraries(LLVMGenXIntrinsics ${LLVM_LIBS})

  target_include_directories(LLVMGenXIntrinsics PUBLIC
    $<BUILD_INTERFACE:${GENX_INTRINSICS_MAIN_INCLUDE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../../include>
    $<INSTALL_INTERFACE:include>
  )
else()
  # when we are building in LLVM infra, we need to conform
  set(LLVM_LINK_COMPONENTS
    ${LLVM_COMPONENTS}
    )

  add_llvm_library(LLVMGenXIntrinsics
    GenXIntrinsics.cpp
    GenXRestoreIntrAttr.cpp
    GenXSimdCFLowering.cpp
    GenXSingleElementVectorUtil.cpp
    GenXSPIRVReaderAdaptor.cpp
    GenXSPIRVWriterAdaptor.cpp
    GenXVersion.cpp
    AdaptorsCommon.cpp
    GenXMetadata.cpp
    ADDITIONAL_HEADER_DIRS
    ${GENX_INTRINSICS_MAIN_INCLUDE_DIR}/llvm/GenXIntrinsics

    DEPENDS
      GenXIntrinsicsGen
      intrinsics_gen
  )
endif()

=== debian/changelog ===
intel-vc-intrinsics (0.1.0-3) unstable; urgency=medium

  * 0001-add-PVCXT_A0-platfrom.patch: Add support for PVCXT_A0, fix i-g-
    c build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Apr 2022 10:20:59 +0300

intel-vc-intrinsics (0.1.0-2) unstable; urgency=medium

  * Build with llvm-12 for intel-graphics-compiler.
  * control: Add Conflicts/Provides/Replaces: intel-vc-intrinsics-x.y-
    dev, also Provides intel-vc-intrinsics-12-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Apr 2022 16:04:48 +0300

intel-vc-intrinsics (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Check llvm version from build-deps.
  * watch: Updated.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Feb 2022 15:19:44 +0200

intel-vc-intrinsics (0+git20210816-2) unstable; urgency=medium

  * control, rules: Build with llvm-13.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 11:10:35 +0200

intel-vc-intrinsics (0+git20210816-1) unstable; urgency=medium

  * Initial release (Closes: #992254)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Sep 2021 20:41:23 +0300

=== debian/control ===
Source: intel-vc-intrinsics
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 llvm-12-dev,
 zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/intel/vc-intrinsics
Vcs-Browser: https://salsa.debian.org/opencl-team/intel-vc-intrinsics
Vcs-Git: https://salsa.debian.org/opencl-team/intel-vc-intrinsics.git
Rules-Requires-Root: no

Package: intel-vc-intrinsics-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 intel-vc-intrinsics-x.y-dev,
Replaces:
 intel-vc-intrinsics-x.y-dev,
Provides:
 intel-vc-intrinsics-12-dev,
 intel-vc-intrinsics-x.y-dev,
Description: Intel Vector Compute Intrinsics -- development files
 Vector Compute Intrinsics project contains a set of new intrinsics
 on top of core LLVM IR instructions that represent SIMD semantics of
 a program targeting GPU.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

LLVM_VERSION     = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_INCLUDEDIR=/usr/include/llvm-$(LLVM_VERSION)/ \
		-DLLVM_DIR=/usr/lib/llvm-$(LLVM_VERSION)/lib/cmake/llvm

gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .

## intel-vc-intrinsics 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
       C CXX
   )
 
-  set(CMAKE_CXX_STANDARD 14)
   set(CMAKE_CXX_STANDARD_REQUIRED OFF)
 
   find_package(LLVM REQUIRED HINTS "${LLVM_CMAKE_PATH}")
@@ -36,6 +35,12 @@
   )
   include(AddLLVM)
   include(HandleLLVMOptions)
+
+  if (LLVM_PACKAGE_VERSION GREATER_EQUAL 14)
+    set(CMAKE_CXX_STANDARD 17)
+  else ()
+    set(CMAKE_CXX_STANDARD 14)
+  endif()
 
   include_directories("${LLVM_INCLUDE_DIR}")
   link_directories("${LLVM_LIBRARY_DIR}")

=== debian/changelog ===
intel-vc-intrinsics (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Sep 2022 13:05:08 +0300

intel-vc-intrinsics (0.5.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Sep 2022 12:09:34 +0300

intel-vc-intrinsics (0.5.0-2) experimental; urgency=medium

  * Provide a versioned virtual package.
  * Build with llvm-14.  (Closes: #1012329)
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Aug 2022 01:52:24 +0200

intel-vc-intrinsics (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Aug 2022 16:38:06 +0300

intel-vc-intrinsics (0.4.2-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch back to llvm-11.  (Closes: #1012183)
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update Lintian overrides.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jun 2022 22:55:58 +0200

intel-vc-intrinsics (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * 0001-add-PVCXT_A0-platfrom.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 May 2022 14:42:49 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Uploaders:
+ Timo Aaltonen <tjaalton@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake,
- llvm-12-dev,
+ llvm-14-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/intel/vc-intrinsics
 Vcs-Browser: https://salsa.debian.org/opencl-team/intel-vc-intrinsics
 Vcs-Git: https://salsa.debian.org/opencl-team/intel-vc-intrinsics.git
@@ -21,7 +23,7 @@
 Replaces:
  intel-vc-intrinsics-x.y-dev,
 Provides:
- intel-vc-intrinsics-12-dev,
+ intel-vc-intrinsics-${llvm:Version}-dev (= ${binary:Version}),
  intel-vc-intrinsics-x.y-dev,
 Description: Intel Vector Compute Intrinsics -- development files
  Vector Compute Intrinsics project contains a set of new intrinsics

## intel-vc-intrinsics 0.8.1

=== debian/changelog ===
intel-vc-intrinsics (0.8.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Mark as Multi-Arch: same.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 12:47:10 +0200

## intel-vc-intrinsics 0.11.0

=== GenXIntrinsics/lib/GenXIntrinsics/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

set(LLVM_COMPONENTS
  CodeGen
  Support
  Core
  Analysis
  )

set(SRC_LIST
  GenXIntrinsics.cpp
  GenXRestoreIntrAttr.cpp
  GenXSimdCFLowering.cpp
  GenXSingleElementVectorUtil.cpp
  GenXSPIRVReaderAdaptor.cpp
  GenXSPIRVWriterAdaptor.cpp
  GenXVersion.cpp
  AdaptorsCommon.cpp
  GenXMetadata.cpp
)

if(BUILD_EXTERNAL)
  add_library(LLVMGenXIntrinsics ${SRC_LIST})
  llvm_update_compile_flags(LLVMGenXIntrinsics)
  add_dependencies(LLVMGenXIntrinsics GenXIntrinsicsGen)

  vc_get_llvm_targets(LLVM_LIBS ${LLVM_COMPONENTS})
  target_link_libraries(LLVMGenXIntrinsics ${LLVM_LIBS})
else()
  # when we are building in LLVM infra, we need to conform
  set(LLVM_LINK_COMPONENTS
    ${LLVM_COMPONENTS}
    )

  if(LLVM_LINK_LLVM_DYLIB)
    add_llvm_library(LLVMGenXIntrinsics STATIC DISABLE_LLVM_LINK_LLVM_DYLIB
      ${SRC_LIST}
	
      ADDITIONAL_HEADER_DIRS
        ${GENX_INTRINSICS_MAIN_INCLUDE_DIR}/llvm/GenXIntrinsics
      DEPENDS
        GenXIntrinsicsGen
        intrinsics_gen
	    LLVMCodeGen
        LLVMSupport
        LLVMCore
        LLVMAnalysis
        LLVMSPIRVLib
    )
  else()
    add_llvm_library(LLVMGenXIntrinsics
      ${SRC_LIST}
	
      ADDITIONAL_HEADER_DIRS
        ${GENX_INTRINSICS_MAIN_INCLUDE_DIR}/llvm/GenXIntrinsics
      DEPENDS
        GenXIntrinsicsGen
        intrinsics_gen
    )
  endif()
endif()

target_include_directories(LLVMGenXIntrinsics PUBLIC
  $<BUILD_INTERFACE:${GENX_INTRINSICS_MAIN_INCLUDE_DIR}>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../../include>
  $<INSTALL_INTERFACE:include>
  )

=== GenXIntrinsics/include/llvm/GenXIntrinsics/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${GENX_INTRINSICS_DESCRIPTION}
    COMMAND ${PYTHON_EXECUTABLE} -B
            ${CMAKE_CURRENT_SOURCE_DIR}/Intrinsics.py
            ${CMAKE_CURRENT_SOURCE_DIR}/Intrinsic_definitions.py
            ${CMAKE_CURRENT_BINARY_DIR}/${GENX_INTRINSICS_DESCRIPTION}
    DEPENDS
         ${CMAKE_CURRENT_SOURCE_DIR}/Intrinsics.py
         ${CMAKE_CURRENT_SOURCE_DIR}/Intrinsic_definitions.py
    COMMENT "Building ${GENX_INTRINSICS_DESCRIPTION}..."
)

find_first_existing_vc_file(intrinsics_vc "${GENX_INTRINSICS_MAIN_DIR}")

set(version_inc ${CMAKE_CURRENT_BINARY_DIR}/GenXVersion.inc)

if(LLVM_GENX_INTRINSICS_ROOT_DIR)
  set(LLVM_GENX_INTRINSICS_REPO_DIR ${LLVM_GENX_INTRINSICS_ROOT_DIR})
else()
  set(LLVM_GENX_INTRINSICS_REPO_DIR ${GENX_INTRINSICS_MAIN_DIR}/..)
endif()

if(${LLVM_VERSION_MAJOR} LESS 9)
  find_file(FOUND_VCS GetSVN.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED)
  add_custom_command(
    OUTPUT "${version_inc}"
    COMMAND
    ${CMAKE_COMMAND} "-DSOURCE_DIRS=${LLVM_GENX_INTRINSICS_REPO_DIR}"
                     "-DNAMES=VCI"
                     "-DHEADER_FILE=${version_inc}"
                     -P "${FOUND_VCS}")
else()
  find_file(FOUND_VCS VersionFromVCS.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED)
  add_custom_command(
    OUTPUT "${version_inc}"
    COMMAND
    ${CMAKE_COMMAND} "-DSOURCE_DIR=${LLVM_GENX_INTRINSICS_REPO_DIR}"
                     "-DNAME=VCI"
                     "-DHEADER_FILE=${version_inc}"
                     "-DVCS_SCRIPT=${FOUND_VCS}"
                     -P "${CMAKE_CURRENT_SOURCE_DIR}/ConfigureVersionFile.cmake")
endif()

set_source_files_properties("${version_inc}"
    PROPERTIES GENERATED TRUE
    HEADER_FILE_ONLY TRUE)

add_custom_target(GenXIntrinsicDescriptionGen
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${GENX_INTRINSICS_DESCRIPTION}
    ${version_inc}
)
add_custom_target(GenXIntrinsicsGen)
add_dependencies(GenXIntrinsicsGen GenXIntrinsicDescriptionGen)

=== debian/changelog ===
intel-vc-intrinsics (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Jan 2023 19:25:18 +0200

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
             https://github.com/intel/vc-intrinsics/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## intel-vc-intrinsics 0.13.0

=== GenXIntrinsics/unittests/GenXIntrinsics/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2019-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

set(LLVM_LINK_COMPONENTS
  Core
  Support
  CodeGen
  )

add_genx_intrinsics_unittest(GenXIntrinsicsTests
  GenXIntrinsicsTest.cpp
  )

target_link_libraries(GenXIntrinsicsTests
  PRIVATE
  LLVMGenXIntrinsics
  LLVMTestingSupport
  )

=== debian/changelog ===
intel-vc-intrinsics (0.13.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:50:31 +0200

intel-vc-intrinsics (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Aug 2023 10:04:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-vc-intrinsics
 Section: libs
 Priority: optional
-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -17,6 +18,7 @@
 
 Package: intel-vc-intrinsics-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts:
  intel-vc-intrinsics-x.y-dev,

## intel-vc-intrinsics 0.18.0

=== debian/changelog ===
intel-vc-intrinsics (0.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Apr 2024 19:04:59 +0300

## intel-vc-intrinsics 0.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,16 +60,14 @@
   message(FATAL_ERROR "VC-intrinsics do not support ${LLVM_VERSION} LLVM version")
 endif()
 
-include(FindPythonInterp)
-if(NOT PYTHONINTERP_FOUND)
-  message(FATAL_ERROR
-"Unable to find Python interpreter, required for builds and testing.
-
-Please install Python or specify the PYTHON_EXECUTABLE CMake variable.")
-endif()
-
-if("${PYTHON_VERSION_STRING}" VERSION_LESS 2.7)
-  message(FATAL_ERROR "Python 2.7 or newer is required")
+if (DEFINED PYTHON_EXECUTABLE)
+  get_filename_component(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}" ABSOLUTE)
+else()
+  find_package(Python REQUIRED COMPONENTS Interpreter)
+  if("${Python_VERSION}" VERSION_LESS 2.7)
+    message(FATAL_ERROR "Python 2.7 or newer is required")
+  endif()
+  set(PYTHON_EXECUTABLE "${Python_EXECUTABLE}")
 endif()

=== GenXIntrinsics/test/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2020-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

if(BUILD_EXTERNAL)
  if(NOT EXISTS ${LLVM_EXTERNAL_LIT})
    message(FATAL_ERROR "External build requires LLVM_EXTERNAL_LIT to be defined to lit executable")
  endif()
endif()

# Add plugin with all intrinsics libraries for loading with opt.
add_subdirectory(Plugin)

set(VC_INTRINSICS_TEST_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Generate temporary site config with LLVM variables filled.
configure_lit_site_cfg(
  ${CMAKE_CURRENT_SOURCE_DIR}/lit.site.cfg.py.in
  ${CMAKE_CURRENT_BINARY_DIR}/temp.cfg.py
  MAIN_CONFIG
    ${CMAKE_CURRENT_SOURCE_DIR}/lit.cfg.py
  )

# Need to regenerate again since plugin name is required and proper
# way to get it is to use generator expressions that are not allowed
# in configure_file.
file(GENERATE
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/vcint.$<CONFIG>.lit.site.cfg.py"
  INPUT "${CMAKE_CURRENT_BINARY_DIR}/temp.cfg.py"
  )

set(USED_TOOLS
  # These are required by lit default substitutions.
  FileCheck
  count
  not
  # Main tool for plugin testing.
  opt
  )

if(NOT BUILD_EXTERNAL)
  set(TEST_DEPS
    ${USED_TOOLS}
    )
else()
  # Check for tools availability.
  foreach(tool ${USED_TOOLS})
    set(TOOL_PATH "${LLVM_TOOLS_BINARY_DIR}/${tool}")
    if(NOT EXISTS ${TOOL_PATH})
      message(FATAL_ERROR "Tool ${tool} is not found (required by lit tests)")
    endif()
  endforeach()
endif()

# Add testsuite with custom config name that depends on generator.
add_lit_testsuite(check-vc-intrinsics "Running the vc-intrinsics regression tests"
  ${CMAKE_CURRENT_BINARY_DIR}
  ARGS
    "--config-prefix=vcint.$<CONFIG>.lit"
    "-sv"
  DEPENDS
    ${TEST_DEPS}
    VCIntrinsicsPlugin
)

=== debian/changelog ===
intel-vc-intrinsics (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Aug 2024 09:21:45 +0300

## intel-vc-intrinsics 0.22.1

=== debian/changelog ===
intel-vc-intrinsics (0.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Mar 2025 08:44:18 +0200

## intel-vc-intrinsics 0.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,12 @@
 
 set(LLVM_GENX_INTRINSICS_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 
+option(LLVM_GENX_INTRINSICS_IN_TREE_INSTALL "Do install after in-tree build" FALSE)
+
 # check if we build inside llvm or not
 if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
   get_filename_component(LLVM_CMAKE_PATH ${LLVM_DIR} ABSOLUTE BASE_DIR ${CMAKE_BINARY_DIR})
   set(BUILD_EXTERNAL YES)
-  if(NOT DEFINED INSTALL_REQUIRED)
-    set(INSTALL_REQUIRED YES)
-  endif()
   project(LLVM_GenXIntrinsics
     VERSION
       ${LLVM_GENX_INTRINSICS_VERSION}

=== GenXIntrinsics/lib/GenXIntrinsics/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
   Core
   Analysis
   )
+
+if(${LLVM_VERSION_MAJOR} VERSION_GREATER_EQUAL 21)
+  list(APPEND LLVM_COMPONENTS TargetParser)
+endif()
 
 set(SRC_LIST
   GenXIntrinsics.cpp

=== GenXIntrinsics/test/Plugin/CMakeLists.txt ===
#=========================== begin_copyright_notice ============================
#
# Copyright (C) 2020-2021 Intel Corporation
#
# SPDX-License-Identifier: MIT
#
#============================ end_copyright_notice =============================

set(PLUGIN_SOURCES
  Plugin.cpp
  )

add_library(VCIntrinsicsPlugin
  MODULE
  ${PLUGIN_SOURCES}
  )

set(LINK_LIBS
  LLVMGenXIntrinsics
  )

target_link_libraries(VCIntrinsicsPlugin
  ${LINK_LIBS}
  )

=== GenXIntrinsics/include/llvm/GenXIntrinsics/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #=========================== begin_copyright_notice ============================
 #
-# Copyright (C) 2019-2021 Intel Corporation
+# Copyright (C) 2019-2024 Intel Corporation
 #
 # SPDX-License-Identifier: MIT
 #
@@ -29,7 +29,7 @@
 endif()
 
 if(${LLVM_VERSION_MAJOR} LESS 9)
-  find_file(FOUND_VCS GetSVN.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED)
+  find_file(FOUND_VCS GetSVN.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED NO_CMAKE_FIND_ROOT_PATH)
   add_custom_command(
     OUTPUT "${version_inc}"
     COMMAND
@@ -38,7 +38,7 @@
                      "-DHEADER_FILE=${version_inc}"
                      -P "${FOUND_VCS}")
 else()
-  find_file(FOUND_VCS VersionFromVCS.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED)
+  find_file(FOUND_VCS VersionFromVCS.cmake PATHS ${LLVM_CMAKE_DIR} REQUIRED NO_CMAKE_FIND_ROOT_PATH)
   add_custom_command(
     OUTPUT "${version_inc}"
     COMMAND
@@ -59,3 +59,4 @@
 )
 add_custom_target(GenXIntrinsicsGen)
 add_dependencies(GenXIntrinsicsGen GenXIntrinsicDescriptionGen)
+

=== debian/changelog ===
intel-vc-intrinsics (0.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Aug 2025 11:17:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-vc-intrinsics
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
  Andreas Beckmann <anbe@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

LLVM_VERSION	 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_INCLUDEDIR=/usr/include/llvm-$(LLVM_VERSION)/ \
		-DLLVM_DIR=/usr/lib/llvm-$(LLVM_VERSION)/lib/cmake/llvm

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'llvm:Version=$(LLVM_VERSION)'


gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .

## intel-vc-intrinsics 0.25.0

=== debian/changelog ===
intel-vc-intrinsics (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Feb 2026 20:52:16 +0200
